# -*- coding: utf-8 -*-
"""
Created on Wed Jul 11 09:30:45 2018

"""
from math import *
import numpy as np
import matplotlib.pyplot as plt


#==============================================================================
# Passe bas ordre 1
#==============================================================================
def passebas_1(f,fc,A=1):
    return A/(1+1j*f/fc)
    
#==============================================================================
# Passe haut ordre 1
#==============================================================================
def passehaut_1(f,fc,A=1):
    return A*1j*f/fc/(1+1j*f/fc)    
    
#==============================================================================
# Passe bas ordre 2
#==============================================================================
def passebas_2(f,fc,Q,A=1):
    return A/(1+1j*f/(Q*fc)-(f/fc)**2)
    
#==============================================================================
# Passe haut ordre 2
#==============================================================================
def passehaut_2(f,fc,Q,A=1):
    return A*(-(f/fc)**2)/(1+1j*f/(Q*fc)-(f/fc)**2)
    
#==============================================================================
# Passe bande ordre 2
#==============================================================================
def passebande_2(f,fc,Q,A=1):
    return A*(1j*f/(Q*fc))/(1+1j*f/(Q*fc)-(f/fc)**2)
    
#==============================================================================
# Coupe bande d'ordre 2
#==============================================================================

def coupebande_2(f,fc,Q,A=1):
    return A*(1-(f/fc)**2)/(1+1j*f/(Q*fc)-(f/fc)**2)